### Method

# Cogl MatrixEntry equal

#### Declaration [src]

    gboolean
    cogl_matrix_entry_equal (
      CoglMatrixEntry* entry0,
      CoglMatrixEntry* entry1
    )

#### Description [src]

Compares two arbitrary `CoglMatrixEntry` transforms for equality returning `TRUE` if they are equal or `FALSE` otherwise.

In many cases it is unnecessary to use this api and instead direct pointer comparisons of entries are good enough and much cheaper too.

#### Parameters

`entry1`

  Type: `CoglMatrixEntry`

  A second `CoglMatrixEntry` to compare.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `entry0` represents the same transform as `entry1`, otherwise `FALSE`.